Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry
Interface RegistryConfig

    public interface RegistryConfig

Represents a pre-configured registy.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`ConnectInfo` | `getConnectInfo()` Returns a `ConnectInfo` object for this registry.
`String` | `getDescription()` Returns a description.
`String` | `getInquiryUrl()` Returns the inquiry URL.
`int` | `getMaxResults()` Returns a limit on the number of results returned.
`String` | `getName()` Returns name of the registy.
`String` | `getTitle()` Returns a human-readable title for the registy.
`boolean` | `isDefault()` Returns true if this is the default registry.

Method Detail

### getName

    String getName()

  Returns name of the registy.

  Returns
    name

### getTitle

    String getTitle()

  Returns a human-readable title for the registy.

  Returns
    name

### getDescription

    String getDescription()

  Returns a description. May be null.

  Returns
    description

### isDefault

    boolean isDefault()

  Returns true if this is the default registry. Returns false otherwise.

  Returns
    default

### getInquiryUrl

    String getInquiryUrl()

  Returns the inquiry URL.

  Returns
    URL

### getMaxResults

    int getMaxResults()

  Returns a limit on the number of results returned.

  Returns
    max results

### getConnectInfo

    ConnectInfo getConnectInfo()

  Returns a `ConnectInfo` object for this registry.

  Returns
    connect info

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.